Error
A valid request URL is required to generate request examples{
"files": [
{
"name": "<string>",
"displayName": "<string>",
"mimeType": "<string>",
"sizeBytes": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"expirationTime": "2023-11-07T05:31:56Z",
"sha256Hash": "<string>",
"uri": "<string>",
"error": {
"code": 123,
"message": "<string>"
},
"videoMetadata": {
"videoDuration": "<string>"
}
}
],
"nextPageToken": "<string>"
}GenAI Integration
List files (Gemini format)
Lists uploaded files in Google Gemini API format.
GET
/
genai
/
v1beta
/
files
Error
A valid request URL is required to generate request examples{
"files": [
{
"name": "<string>",
"displayName": "<string>",
"mimeType": "<string>",
"sizeBytes": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"expirationTime": "2023-11-07T05:31:56Z",
"sha256Hash": "<string>",
"uri": "<string>",
"error": {
"code": 123,
"message": "<string>"
},
"videoMetadata": {
"videoDuration": "<string>"
}
}
],
"nextPageToken": "<string>"
}Authorizations
BearerAuthBasicAuthVirtualKeyAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Query Parameters
Maximum number of files to return
Page token for pagination
Was this page helpful?
⌘I

